<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Formapagosp{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre){
	$sql="INSERT INTO formapagop (nombre,condicion) VALUES ('$nombre','1')";
	return ejecutarConsulta($sql);
}

public function editar($idformapagop,$nombre){
	$sql="UPDATE formapagop SET nombre='$nombre' 
	WHERE idformapagop='$idformapagop'";
	return ejecutarConsulta($sql);
}
public function desactivar($idformapagop){
	$sql="UPDATE formapagop SET condicion='0' WHERE idformapagop='$idformapagop'";
	return ejecutarConsulta($sql);
}
public function activar($idformapagop){
	$sql="UPDATE formapagop SET condicion='1' WHERE idformapagop='$idformapagop'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idformapagop){
	$sql="SELECT * FROM formapagop WHERE idformapagop='$idformapagop'";
	return ejecutarConsultaSimpleFila($sql);
}


//metodo para un metodo de pago
public function buscarMetodosDePago($mformapagop){
	$sql="SELECT idformapagop, nombre FROM formapagop WHERE nombre='$mformapagop'";
	return ejecutarConsultaSimpleFila($sql);
}


//listar registros
public function listar(){
	$sql="SELECT * FROM formapagop";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM formapagop WHERE condicion=1";
	return ejecutarConsulta($sql);
}

public function selectc(){
	$sql="SELECT * FROM formapagop WHERE condicion=1 AND (nombre LIKE 'bolivar%' OR nombre LIKE 'dol%')";
	return ejecutarConsulta($sql);
}

}

 ?>
